<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가
include_once("$g4[path]/lib/outlogin.lib.php");
include_once("$g4[path]/lib/poll.lib.php");
include_once("$g4[path]/lib/visit.lib.php");
include_once("$g4[path]/lib/connect.lib.php");
include_once("$g4[path]/lib/popular.lib.php");
include_once("$g4[path]/lib/latest.lib.php");
// $board[shop]; 




  $mct     =  "  po_poll1 = 'skin'  ";  
  $mct    .=  " and po_poll2 = '$url' "; 
  $set_skin = "";
  $out_row = sql_query("select * from $board[shop] where  $mct");
  if(!$out_row){
    $set_skin .= 'basic';
  }
  else{
    while ($data = sql_fetch_array($out_row)){
		  $set_skin .= $data[po_poll3];
	  }}




$colspan = 3;


{?>
<table width=100% cellpadding=0 cellspacing=1>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>

<form action="<?=$shop_path?>/skin.update.php?act=<?=$url?>" method=post>
<input type=hidden name=po_poll1   value="skin">
<tr><td style='padding-left:10px; height:30px;'><?=$url?>
<td><select name="po_poll3" value="<?=$set_skin?>" >
<?
$skin_path  = "../skin";
$skin_path .= "/$url/";  // 목록스킨을 지정합니다.
$arr = shop_file("$skin_path");
for ($k=0; $k<count($arr); $k++){
   $option = $arr[$k];
   if (strlen($option) > 10)
   $option = substr($arr[$k], 0, 25) . "";
   echo '<option value="';
   echo $arr[$k];
   echo '"';
   if ($arr[$k] == $set_skin)
   echo 'selected';
   echo '>';
   echo  $option;
   echo "\n"; 
   }  
?>    
</select>
</td>
<td>
<input type="submit" name="formbutton1" value="확인">

</td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<tr><td colspan='<?=$colspan?>' align='center'>
<br>
메인화면의 최신글 스킨을 변경하는곳입니다. 상황에 따라서 최신글스킨을 실시간으로 변경이 가능합니다.<br>
또한 스킨의 개별위치조정은 관리자페이지 각각의 개시판에서 위치를 조정하셔야 합니다.
<br>
<?
//  최신글
$sql = " select bo_table, bo_subject from $g4[board_table] order by gr_id, bo_table ";
$result = sql_query($sql);
for ($i=0; $row=sql_fetch_array($result); $i++) {
    // 이 함수가 바로 최신글을 추출하는 역할을 합니다.
    // 스킨은 입력하지 않을 경우 관리자 > 환경설정의 최신글 스킨경로를 기본 스킨으로 합니다.

    // 사용방법
    // latest(스킨, 게시판아이디, 출력라인, 글자수);
    echo latest("$set_skin", $row['bo_table'], 12, 70, "4,25");
    echo "<p>\n";
}
?>

</td></tr>
</form>
</table>
<?}
//out login html end







?>
